# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/QueuesExtension/HgQueuesRenamePatchDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgQueuesRenamePatchDialog(object):
    def setupUi(self, HgQueuesRenamePatchDialog):
        HgQueuesRenamePatchDialog.setObjectName("HgQueuesRenamePatchDialog")
        HgQueuesRenamePatchDialog.resize(400, 174)
        HgQueuesRenamePatchDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(HgQueuesRenamePatchDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=HgQueuesRenamePatchDialog)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.nameEdit = QtWidgets.QLineEdit(parent=HgQueuesRenamePatchDialog)
        self.nameEdit.setObjectName("nameEdit")
        self.horizontalLayout.addWidget(self.nameEdit)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.groupBox = QtWidgets.QGroupBox(parent=HgQueuesRenamePatchDialog)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.currentButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.currentButton.setText("Current Patch")
        self.currentButton.setChecked(True)
        self.currentButton.setObjectName("currentButton")
        self.verticalLayout.addWidget(self.currentButton)
        self.namedButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.namedButton.setObjectName("namedButton")
        self.verticalLayout.addWidget(self.namedButton)
        self.nameCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.nameCombo.setEnabled(False)
        self.nameCombo.setObjectName("nameCombo")
        self.verticalLayout.addWidget(self.nameCombo)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgQueuesRenamePatchDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(HgQueuesRenamePatchDialog)
        self.buttonBox.accepted.connect(HgQueuesRenamePatchDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgQueuesRenamePatchDialog.reject) # type: ignore
        self.namedButton.toggled['bool'].connect(self.nameCombo.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgQueuesRenamePatchDialog)
        HgQueuesRenamePatchDialog.setTabOrder(self.nameEdit, self.currentButton)
        HgQueuesRenamePatchDialog.setTabOrder(self.currentButton, self.namedButton)
        HgQueuesRenamePatchDialog.setTabOrder(self.namedButton, self.nameCombo)
        HgQueuesRenamePatchDialog.setTabOrder(self.nameCombo, self.buttonBox)

    def retranslateUi(self, HgQueuesRenamePatchDialog):
        _translate = QtCore.QCoreApplication.translate
        HgQueuesRenamePatchDialog.setWindowTitle(_translate("HgQueuesRenamePatchDialog", "Rename Patch"))
        self.label.setText(_translate("HgQueuesRenamePatchDialog", "New Name:"))
        self.nameEdit.setToolTip(_translate("HgQueuesRenamePatchDialog", "Enter the new name for the selected patch"))
        self.groupBox.setTitle(_translate("HgQueuesRenamePatchDialog", "Patch"))
        self.currentButton.setToolTip(_translate("HgQueuesRenamePatchDialog", "Select to rename the current patch"))
        self.namedButton.setToolTip(_translate("HgQueuesRenamePatchDialog", "Select to rename the selected named patch"))
        self.namedButton.setText(_translate("HgQueuesRenamePatchDialog", "Named Patch"))
        self.nameCombo.setToolTip(_translate("HgQueuesRenamePatchDialog", "Select the patch to be renamed"))
